org.freeplane.api

## Enum LengthUnit

- java.lang.Object
- - java.lang.Enum<LengthUnit>
  - - org.freeplane.api.LengthUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LengthUnit>, PhysicalUnit

      public enum LengthUnit
      extends java.lang.Enum<LengthUnit>
      implements PhysicalUnit

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cm`
    `in`
    `mm`
    `pt`
    `px`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `factor()`
    `static Quantity<LengthUnit>` | `fromStringInPt(java.lang.String value)`
    `static Quantity<LengthUnit>` | `pixelsInPt(double value)`
    `static void` | `setScalingFactor(double newFactor)`
    `static LengthUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LengthUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.freeplane.api.PhysicalUnit

      `name`

- - ### Enum Constant Detail

    - #### px

          public static final LengthUnit px

    - #### in

          public static final LengthUnit in

    - #### mm

          public static final LengthUnit mm

    - #### cm

          public static final LengthUnit cm

    - #### pt

          public static final LengthUnit pt

  - ### Method Detail

    - #### values

          public static LengthUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LengthUnit c : LengthUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LengthUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### factor

          public double factor()

      Specified by:
        `factor` in interface `PhysicalUnit`

    - #### pixelsInPt

          public static Quantity<LengthUnit> pixelsInPt(double value)

    - #### fromStringInPt

          public static Quantity<LengthUnit> fromStringInPt(java.lang.String value)

    - #### setScalingFactor

          public static void setScalingFactor(double newFactor)